part of viltage;

class Utility {
	static render(List<List<Entity>> entities, List<List<CharNode>> charArray) {
		for(int i = 0; i < entities.length; i++) {
			for(int j = 0; j < entities[i].length; j++) {
				entities[i][j].render(charArray);
			}
		}
	}
	  
	static draw(CanvasRenderingContext2D ctx, CanvasRenderingContext2D ctxUnvisible, int offX, int offY, VilTAGE viltage) {
	  List<List<CharNode>> charArray = viltage.charArray;

	  for(int i = 0; i < charArray.length; i++) {
			for(int j = 0; j < charArray[0].length; j++) {
			  if(charArray[i][j].backgroundColor == "none") { 
			    ctxUnvisible.fillStyle = viltage.backgroundColor;
        } else {
          ctxUnvisible.fillStyle = charArray[i][j].backgroundColor;
        }
			  ctxUnvisible.fillRect(offX/4 + (j-0.5+(viltage.fontSize/100))*offX, (i+0.5-(viltage.fontSize/100))*offY, offX/4 + (j+1)*offX, (i+1)*offY);
  		}
	  }

		for(int i = 0; i < charArray.length; i++) {
			for(int j = 0; j < charArray[0].length; j++) {
			  ctxUnvisible.fillStyle = charArray[i][j].color;
    		if(charArray[i][j].char.length > 1) {
    			charArray[i][j].char = " ";
    		}
    		ctxUnvisible.fillText(charArray[i][j].char, offX/4 + j*offX, (i+1)*offY);
  	  }
		}
	  ctx.drawImage(ctxUnvisible.canvas, 0, 0);
	}
	  
	static update(List<List<Entity>> entities, double delta) {
		for(int i = 0; i < entities.length; i++) {
			for(int j = 0; j < entities[i].length; j++) {
				entities[i][j].update(delta);
				entities[i][j].updateAnimations(delta);
			}
		}
	}
}